import { some } from "../../../min-dash/dist/index.esm.mjs";
function is(element, type) {
  var bo = getBusinessObject(element);
  return bo && typeof bo.$instanceOf === "function" && bo.$instanceOf(type);
}
function isAny(element, types) {
  return some(types, function(t) {
    return is(element, t);
  });
}
function getBusinessObject(element) {
  return element && element.businessObject || element;
}
function getDi(element) {
  return element && element.di;
}
export {
  getBusinessObject,
  getDi,
  is,
  isAny
};
